Package org.apache.lucene.queryparser.flexible.standard.config

# Class FieldBoostMapFCListener

java.lang.Object
org.apache.lucene.queryparser.flexible.standard.config.FieldBoostMapFCListener

All Implemented Interfaces:
  `FieldConfigListener`

public class FieldBoostMapFCListener extends Object implements FieldConfigListener
This listener listens for every field configuration request and assign a `StandardQueryConfigHandler.ConfigurationKeys.BOOST` to the equivalent `FieldConfig` based on a defined map: fieldName -> boostValue stored in `StandardQueryConfigHandler.ConfigurationKeys.FIELD_BOOST_MAP`.

See Also:
  - `StandardQueryConfigHandler.ConfigurationKeys.FIELD_BOOST_MAP`
  - `StandardQueryConfigHandler.ConfigurationKeys.BOOST`
  - `FieldConfig`
  - `FieldConfigListener`

## Constructor Summary

Constructors
Constructor
Description
`FieldBoostMapFCListener(QueryConfigHandler config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildFieldConfig(FieldConfig fieldConfig)`
This method is called ever time a field configuration is requested.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldBoostMapFCListener

public FieldBoostMapFCListener(QueryConfigHandler config)

## Method Details

### buildFieldConfig

public void buildFieldConfig(FieldConfig fieldConfig)
Description copied from interface: `FieldConfigListener`
This method is called ever time a field configuration is requested.

Specified by:
  `buildFieldConfig` in interface `FieldConfigListener`
Parameters:
  `fieldConfig` - the field configuration requested, should never be null